Subject: bug#19812: 24.4; suggest `shell-mode' not interactive

From: Kevin Ryde <[email-masked]>
Date: Wed, 07 Aug 2019 16:46:13 +1000

Juri Linkov <[email-masked]> writes:
>
> Maybe "g" should check if the compilation buffer is visiting a file,
> and not to recompile in this case.

I don't know if that'd be too strict, and yet some query-the-user could
be annoying when you know what you're doing - such as having only just
this moment saved a compile buffer to a file.

The scariest bit for me was undo is disabled, so you can't go back when
you realize your mistake.  I suspect making undo the right thing would
be hard, but in a file buffer that's what you reach for first on strange
changes, so it's a bit off-putting.